Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.logging
Interface HttpLogMessage

    public interface HttpLogMessage

Represents a request from a consumer to a producer or a response from a producer to a consumer.

You can use WebLogic logging framework to receive log messages when message monitoring is enabled. WebLogic Portal producer and consumer log SOAP messages with message ID `BEA-420550`.

If you are interested in intercepting or logging messages, consider using interceptors or handlers instead.

This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Field Summary
`static int` | `REQUEST_MESSAGE_TYPE` Message type request
`static int` | `RESPONSE_MESSAGE_TYPE` Message type response

Method Summary
`String` | `getHeader(String name)` Returns the value of a header.
`Iterator` | `getHeaders()` Returns an iterator of all header names.
`String` | `getHost()` Returns the host.
`String` | `getMessage()` Returns the message (XML encoded for pretty printing).
`int` | `getMessageType()` Returns message type.
`String` | `getRawMessage()` Returns the message.
`long` | `getTimeStamp()` Returs time stamp.
`String` | `getWebAppName()` Returns web app name.

Field Detail

### REQUEST_MESSAGE_TYPE

    static final int REQUEST_MESSAGE_TYPE

  Message type request

  See Also
    Constants Summary

### RESPONSE_MESSAGE_TYPE

    static final int RESPONSE_MESSAGE_TYPE

  Message type response

  See Also
    Constants Summary

Method Detail

### getMessage

    String getMessage()

  Returns the message (XML encoded for pretty printing).

  Returns
    message

### getRawMessage

    String getRawMessage()

  Returns the message.

  Returns
    message

### getHeaders

    Iterator getHeaders()

  Returns an iterator of all header names.

  Returns
    iterator of all header names

### getHeader

    String getHeader(String name)

  Returns the value of a header.

  Parameters
    `name` -
  Returns
    the header value

### getTimeStamp

    long getTimeStamp()

  Returs time stamp.

  Returns
    time stamp

### getWebAppName

    String getWebAppName()

  Returns web app name.

  Returns
    web app name

### getMessageType

    int getMessageType()

  Returns message type.

  Returns
    message type

### getHost

    String getHost()

  Returns the host.

  Returns
    the host

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved